<?php
	
	/**
	 * Example 11
	 *
	 * IP caching
	 */
	
	// Include GeoIPLocator (path to source classes)
	// The trick is at this declaration, because the ip caching class is located at src_v2/
	include("../src_v2/GeoIPLocator.class.php");
	
	// At the version 2 of GeoIPLocator you can even leave blank GeoIPLocator instance parameters such as
	#$geoip = new GeoIPLocator(); // And in this case it will retrieve the Remote address of user $_SERVER['REMOTE_ADDR']
	
	// Instance
	$random_true_or_false = rand(1,100) % 2 ? true : false; // For testing purpose to see the execution time, we will choose random true or false (to enable or disable caching on every page refresh)
	
	$geoip = new GeoIPLocator("69.63.187.19", $random_true_or_false); // Second parameter means that you can enable or disable caching, by default caching is enabled
													  				  // By giving False value at second parameter caching will disabled
													  
	// Don`t forget, you can disable caching also by calling this method
	#$geoip->disableCaching();

	$caching_status = $random_true_or_false ? "Enabled" : "Disabled";
	echo "IP Caching test. Caching is: $caching_status -  Execution time: " . $geoip->execTime();
	echo "<br />Try again and see the execution time!";
	
	// Showing IP info by template (test)
	echo $geoip->showDetails("template_1");	
?>