<?php
	
	/**
	 * Example 1
	 *
	 * Declaration of GeoIPLocator and it's simplest examples
	 */
	
	// Include GeoIPLocator (path to source classes)
	include("../src/GeoIPLocator.class.php");
	
	// Instance
	$geoip = new GeoIPLocator("94.43.212.221");
	
	// Getting IP Info (IPAddress Instance)
	$info = $geoip->getIPInfo();
	
	// Getting Information about current IP
	// See API Documentation of IPAdress class for supported attributes
	
	# Getting IP (this is always available)
	echo $info->getIp();
	echo "<hr />";
	
	# Status of IP (if there's information about IP will return true, otherwise false)
	echo $info->getStatus();
	echo "<hr />"; // Horizontal rule
	
	# Getting country code (if it's available)
	echo $info->getCountryCode(); 
	echo "<hr />";
	
	# Getting country name (if it's available)
	echo $info->getCountryName();
	echo "<hr />";
	
	# Getting region code (if it's available)
	echo $info->getRegionCode();
	echo "<hr />";
	
	# Getting region name (if it's available)
	echo $info->getRegionName();
	echo "<hr />";
	
	# Getting city name (if it's available)
	echo $info->getCityName();
	echo "<hr />";
	
	# Getting postal code, ZIP (if it's available)
	echo $info->getZipCode();
	echo "<hr />";
	
	# Getting Latitude (if it's available)
	echo "lat: ";
	echo $info->getLatitude();
	echo "<hr />";
	
	# Getting Longitude (if it's available)
	echo "lon: ";
	echo $info->getLongitude();
	echo "<hr />";
	
	# Getting Timezone (if it's available)
	echo $info->getTimezone();
?>